## org.eclipse.datatools.connectivity.sqm.loader
Class JDBCRoutineLoader.UserDefinedFunctionFactory

    java.lang.Object
      org.eclipse.datatools.connectivity.sqm.loader.JDBCRoutineLoader.ProcedureFactory
          org.eclipse.datatools.connectivity.sqm.loader.JDBCRoutineLoader.UserDefinedFunctionFactory

All Implemented Interfaces:
  JDBCRoutineLoader.IRoutineFactory

Enclosing class:
  JDBCRoutineLoader

    public static class JDBCRoutineLoader.UserDefinedFunctionFactory

extends JDBCRoutineLoader.ProcedureFactory

Base factory implementation for UDF.

Constructor Summary
`JDBCRoutineLoader.UserDefinedFunctionFactory()`

Method Summary
`EClass` `getRoutineEClass()`

Methods inherited from class org.eclipse.datatools.connectivity.sqm.loader.JDBCRoutineLoader.ProcedureFactory
`createRoutine, initialize`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDBCRoutineLoader.UserDefinedFunctionFactory

    public JDBCRoutineLoader.UserDefinedFunctionFactory()

Method Detail

### getRoutineEClass

    public EClass getRoutineEClass()

  Specified by:
    `getRoutineEClass` in interface `JDBCRoutineLoader.IRoutineFactory`
  Overrides:
    `getRoutineEClass` in class `JDBCRoutineLoader.ProcedureFactory`
  Returns:
    SQLRoutinesPackage.eINSTANCE.getUserDefinedFunction()
  See Also:
    `JDBCRoutineLoader.ProcedureFactory.getRoutineEClass()`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.